curl --request POST \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"project_user": {
"user_id": "5a2de667-243b-4da3-b090-b698a03d98da",
"user_email": "sam@example.com",
"role": "regular_user",
"hourly_rate": 75.5
},
"email": "john@example.com"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_user: {
user_id: '5a2de667-243b-4da3-b090-b698a03d98da',
user_email: 'sam@example.com',
role: 'regular_user',
hourly_rate: 75.5
},
email: 'john@example.com'
})
};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users"
payload = {
"project_user": {
"user_id": "5a2de667-243b-4da3-b090-b698a03d98da",
"user_email": "sam@example.com",
"role": "regular_user",
"hourly_rate": 75.5
},
"email": "john@example.com"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"project_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"hourly_rate": 123,
"name": "<string>",
"email": "jsmith@example.com",
"time_zone": "<string>"
}
}Add project user
Add a user to a project. Identify the user with project_user.user_id or project_user.user_email.
curl --request POST \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"project_user": {
"user_id": "5a2de667-243b-4da3-b090-b698a03d98da",
"user_email": "sam@example.com",
"role": "regular_user",
"hourly_rate": 75.5
},
"email": "john@example.com"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_user: {
user_id: '5a2de667-243b-4da3-b090-b698a03d98da',
user_email: 'sam@example.com',
role: 'regular_user',
hourly_rate: 75.5
},
email: 'john@example.com'
})
};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users"
payload = {
"project_user": {
"user_id": "5a2de667-243b-4da3-b090-b698a03d98da",
"user_email": "sam@example.com",
"role": "regular_user",
"hourly_rate": 75.5
},
"email": "john@example.com"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"project_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"hourly_rate": 123,
"name": "<string>",
"email": "jsmith@example.com",
"time_zone": "<string>"
}
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the project for which you want to retrieve or update details. Refer to Getting the Project ID section for detailed instructions.
Body
- Option 1
- Option 2
Hide child attributes
Hide child attributes
User ID of the project user to add. Refer to Getting the User ID section for detailed instructions. Pass either user_id or user_email.
"5a2de667-243b-4da3-b090-b698a03d98da"
Email of the active team member to add. Use it instead of user_id. The match is case-insensitive.
"sam@example.com"
Role of the project user in the project. Defaults to regular_user.
project_manager, regular_user "regular_user"
Hourly rate for the project user in this project.
75.5
Email of the person adding the project user.
"john@example.com"
Response
Created - Project user added successfully